nvme_mi_mi_read_mi_data_subsys(2)

NAME
nvme_mi_mi_read_mi_data_subsys - Perform a Read MI Data Structure command, retrieving subsystem data.

SYNOPSIS
int nvme_mi_mi_read_mi_data_subsys (nvme_mi_ep_t ep , struct nvme_mi_read_nvm_ss_info *s );

ARGUMENTS

ep  endpoint for MI communication

s   subsystem information to populate

DESCRIPTION
Retrieves the Subsystem information - number of external ports and NVMe version information. See struct nvme_mi_read_nvm_ss_info.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise..